diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8260a3e..36d512f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -363,7 +363,8 @@ AlgebraicFunction(R, F): Exports == Implementation where
     dvalg(l, x) ==
       p := numer univariate(first l, retract(second l)@K)
       alpha := kernel(opalg, l)
-      - (map(differentiate(#1, x), p) alpha) / ((differentiate p) alpha)
+      - (map((s:F):F +-> differentiate(s, x), p) alpha)_
+          / ((differentiate p) alpha)
 
     ialg l ==
       f := univariate(p := first l, retract(x := second l)@K)
diff --git a/changelog b/changelog
index 4a19cb4..5376ee9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.04.tpd.patch
+20090508 tpd books/bookvol10.4 AF +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.03.tpd.patch
 20090508 tpd books/bookvol10.2 HOAGG +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 25b749e..6a9a444 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1120,5 +1120,7 @@ bookvol10.4 REALSOLV +-> conversion<br/>
 bookvol10.3 ACPLOT +-> conversion<br/>
 <a href="patches/20090508.03.tpd.patch">20090508.03.tpd.patch</a>
 bookvol10.2 HOAGG +-> conversion<br/>
+<a href="patches/20090508.04.tpd.patch">20090508.04.tpd.patch</a>
+bookvol10.2 AF +-> conversion<br/>
  </body>
 </html>
